Architecture (Gradle API 7.6.3)

Package org.gradle.platform

## Enum Architecture

- java.lang.Object
- - java.lang.Enum<Architecture>
  - - org.gradle.platform.Architecture

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Architecture>`

      @Incubating
      public enum Architecture
      extends java.lang.Enum<Architecture>

  Constants for various processor architectures Gradle runs on.
  Since:
    7.6

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AARCH64` | 64-bit reduced instruction set computer (RISC) architectures, including "aarch64", "arm64".
    `X86` | 32-bit complex instruction set computer (CISC) architectures, including "x32", "i386", "x86"..
    `X86_64` | 64-bit variant of the X86 instruction set, including "x64", "x86_64", "amd64", "ia64".

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Architecture` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Architecture[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### X86

          public static final Architecture X86

      32-bit complex instruction set computer (CISC) architectures, including "x32", "i386", "x86"..

    - #### X86_64

          public static final Architecture X86_64

      64-bit variant of the X86 instruction set, including "x64", "x86_64", "amd64", "ia64".

    - #### AARCH64

          public static final Architecture AARCH64

      64-bit reduced instruction set computer (RISC) architectures, including "aarch64", "arm64".

  - ### Method Detail

    - #### values

          public static Architecture[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Architecture c : Architecture.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Architecture valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null